const env = require('fxl-environments');
const winston = require('winston');
const loggly = require('winston-loggly-bulk');
const { createLogger, format, transports } = require('winston');
const config = require('./config');

winston.add(winston.transports.Loggly, {
    inputToken:'755ad307-f783-44fa-8879-16ec53add4fc',
    subdomain: 'logtestf',
    colorize: 'true',
        json: true,
        prettyPrint: true,
    tags: ["Winston-NodeJS"],
    json:true
});

winston.loggers.add('prod', {
    Loggly: config.Loggly_Production,
    console: {
        level: 'debug',
        colorize: 'true',
        json: true,
        prettyPrint: true,
        label: 'Production Log'
      }
  });
  winston.loggers.add('dev', {
    console: {
        level: 'silly',
        colorize: 'true',
        json: true,
        prettyPrint: true,
        label: 'Development Log'
      }
  });
  winston.loggers.add('test', {
    Loggly: config.Loggly_Test,
    console: {
        level: 'debug',
        colorize: 'true',
        json: true,
        prettyPrint: true,
        label: 'Test Log'
      }
  });


    module.exports.logger = () => {
        return winston.loggers.get(env.CURRENT_ENV);
    }        


   